﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;

namespace WindowsFormsApplication75
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraCalendarInfo1.Owners.Add("User1", "User1");
            ultraCalendarInfo1.Owners.Add("User2", "User2");
            ultraDayView1.GroupingStyle = Infragistics.Win.UltraWinSchedule.DayViewGroupingStyle.DateWithinOwner;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            ultraSchedulePrintDocument1.CalendarInfo = ultraCalendarInfo1;

            ultraSchedulePrintDocument1.TemplateDayView = ultraDayView1;

            ultraSchedulePrintDocument1.DefaultPageSettings.Landscape = true;

            ultraSchedulePrintDocument1.ExcludeNonWorkingDays = false;

            ultraSchedulePrintDocument1.PrintRange = SchedulePrintRange.Selection;

            ultraDayView1.CalendarInfo.SelectedDateRanges.Add(DateTime.Today, DateTime.Today.AddDays(5));

            ultraSchedulePrintDocument1.StartDate = ultraDayView1.CalendarInfo.SelectedDateRanges[0].StartDate;

            ultraSchedulePrintDocument1.EndDate = ultraDayView1.CalendarInfo.SelectedDateRanges[0].EndDate;
            ultraSchedulePrintDocument1.PrintStyle = SchedulePrintStyle.Weekly;
            ultraSchedulePrintDocument1.MaximumPagesPerDay = 1;
            ultraSchedulePrintDocument1.WeeklyLayoutStyle = WeeklyLayoutStyle.DayView;
            ultraPrintPreviewDialog1.Document = ultraSchedulePrintDocument1;
            ultraPrintPreviewDialog1.Show();       
        }
    }
}
